Description

The SCL Services LogSettings do have dyn/conf/fix attributes for LCB.datSet-logEna - trgOps - intgPd. but not for LogRef !

The sLog13 requires to check if LCB.LogRef is writable or not. Part 8-1 table 75 indicates the MMS LCB.LogRef is "r/w".
It seems an SCL attribute is missing. We need clarification

Some proposals:

1) long term: add an SCL entry LogSetting logRef

2) short term: add an PIXIT entry to indicate logRef is writable or not
3) change logRef to readonly?

History

#1 - 01/22/2025 12:47 AM - Thierry Dufaure

The proposed approach to

1) long term add an service capability for logRef in LogSettings,
2) short term to allow restriction via PIXIT

is meaningful.

The 3) is too restrictive, because for instance LogControlBlock could be instantiated uncofigured for a later used based on needs, while a fix, conf,
dyn option offered long term by 1) and short term by 2) would leave enough flexibility.

#2 - 02/18/2025 08:42 AM - IEC 61850 TPWG

- Due date set to 03/04/2025

- Status changed from New to In Progress

- Assignee set to Richard Schimmel

Accepted. PIXIT entry to be created, TP updated.

TISSUE to be entered by Richard to address the long term solution.

#3 - 03/04/2025 04:55 AM - Richard Schimmel
- File Solution to redmine 7101 sLog13 LogRef.docx added

Added solution as agreed: new PIXIT entry

#4 - 03/04/2025 08:13 AM - IEC 61850 TPWG
- Status changed from In Progress to Resolved

- Closed Reason Test Procedure Update added
- Closed Reason deleted (--Not Set---)

Files

Solution to redmine 7101 sLog13 LogRef.docx 35.8 KB 03/04/2025 Richard Schimmel
